export default new Map([
  [
    "en-US",
    {
      time_units: {
        year: (t) => (t == 1 ? `${t} year` : `${t} years`),
        month: (t) => (t == 1 ? `${t} month` : `${t} months`),
        week: (t) => (t == 1 ? `${t} week` : `${t} weeks`),
        day: (t) => (t == 1 ? `${t} day` : `${t} days`),
        hour: (t) => (t == 1 ? `${t} hour` : `${t} hours`),
        minute: (t) => (t == 1 ? `${t} minute` : `${t} minutes`),
        second: (t) => (t == 1 ? `${t} second` : `${t} seconds`),
      },
      floors_header: "Floors",
      date_starting: "Starting",
      date_started: "Started",
      date_ended: "Ended",
      date_summary: (prefix, time) => `${prefix} ${time}`,
      list_index: (index) => `, ${index}`,
      parenthesis: (content) => `(${content})`,
      openParenthesis: "(",
      closeParenthesis: ")",
      separator: (p1, p2) => `${p1} - ${p2}`,
      hours_long: (hours) =>
        hours == 1 ? `${hours} hour long` : `${hours} hours long`,
      minutes_long: (hours) =>
        hours == 1 ? `${hours} minute long` : `${hours} minutes long`,
      events_in: (name) => `Events (${name})`,
      event_in: (location) => `In ${location}`,
      view_events_in: (name) => `Return to events in ${name}`,
      minimize: "Toggle event panel docking",
      event_inspector_header: (name) => `Event ${name}`,
      event_inspector_host: "Host: ",
      event_inspector_hosts: "Hosts: ",
      event_inspector_back: "Return to events panel",
      event_inspector_minimize: "Toggle event inspector docking",
      zoom_in_button: "Zoom in",
      zoom_out_button: "Zoom out",
      menu_search_button: "Search events",
      menu_language_button: "Change language",
      menu_about_button: "About EventMapper",
      about_dialog_close_button: "Close about",
      about_dialog_header_title: "About EventMapper",
      about_dialog_credits: `EventMapper made by MeowcaTheoRange @ https://abtmtr.link/

See https://git.gay/MeowcaTheoRange/EventMapper for more info

Thanks to:
- Joe 2DCon @ https://2dcon.gg/
- KikiCraft @ https://kikicraft.com/
- Captain Zach @ https://discord.gg/2dcon
- Jason @ https://discord.gg/2dcon`,
      search_dialog_close_button: "Close search",
      search_dialog_header_title: "Search Events",
      search_dialog_search_bar: "Type search query here...",
      search_dialog_search_tags: "Tags",
      search_dialog_search_by: "Search By",
      search_filter_buttons: {
        name: {
          label: "Title",
          title: "Search by title.",
        },
        description: {
          label: "Description",
          title: "Search by text found in the description.",
        },
        hosts: {
          label: "Hosts",
          title: "Search by who is hosting the event.",
        },
        url: {
          label: "URL",
          title: "Search by where the event links.",
        },
        floor: {
          label: "Floor",
          title: "Search by what floor the event is on.",
        },
        room: {
          label: "Room",
          title: "Search by what room the event is in.",
        },
      },
      search_filters: {
        name: ({ src }) => `Found by title`, // Already present
        description: ({ src }) => `Found by description`, // Too long to be present
        hosts: ({ src }) => `Found by host ${src}`,
        url: ({ src }) => `Found by URL ${src}`,
        floor: ({ src }) => `Found by floor ${src}`,
        room: ({ src }) => `Found by room ${src}`,
      },
      regexAnyWordCharacter: /[^\w]/g,
    },
  ],
]);
