import kaplay from "./modules/kaplay.js";
import { KaplayMap } from "./KaplayMap/map.js";
import { EventMapperManager } from "./KaplayMap/mapper.js";

const map = document.querySelector("#map");
const mapUi = document.querySelector("#map-ui");

const kp = kaplay({
  canvas: map,
  focus: true,
  loadingScreen: false,
  crisp: true,
  // debug: false,
  // touchToMouse: false,
  global: false,
  maxFPS: 120,
  texFilter: "nearest",
  background: window.branding?.background ?? "404040",
});

const kaplaymap = new KaplayMap(kp, {
  minZoomLevel: 0,
  maxZoomLevel: 6,
  ...window.branding?.kaplayMap,
});
const eventmappermanager = new EventMapperManager(kaplaymap, mapUi, {
  gameobj: window.branding?.gameObj,
});

async function main() {
  if (window.branding?.init != null) window.branding.init(kp);

  await eventmappermanager.load();

  console.log(kp.VERSION);
}

main();
